<div class="input-question needs-validation" ...attributes>
  <div class="mb-3 {{if this.hasNoQuestion 'was-validated'}}">
    <Label @value={{t this.label}} class="form-label-question" as |id|>
      <Input
        @value={{this.question}}
        id={{id}}
        class="form-control text-question {{if this.hasNoQuestion 'is-invalid'}}"
        required
      />
      {{#if this.hasNoQuestion}}
        <div class="invalid-feedback alert-no-question">
          {{t "question-message.no-question"}}
        </div>
      {{/if}}
    </Label>
  </div>

  <div class="mb-3">
    <Label @value={{t "help message"}} as |id|>
      <Input @value={{this.help}} id={{id}} class="form-control text-help" />
    </Label>
  </div>

  {{#unless @isSpecial}}
    <div class="mb-3 {{if this.hasNoName 'was-validated'}}">
      <Label @value={{t "name used in data exports"}} as |id|>
        <Input
          @value={{this.name}}
          id={{id}}
          class="form-control text-name {{if this.hasNoName 'is-invalid'}}"
          required
        />

        {{#if this.hasNoName}}
          <div class="invalid-feedback alert-no-name">
            {{t "question-message.no-name"}}
          </div>
        {{/if}}
      </Label>
    </div>

    <div class="mb-3 {{if this.hasNoType 'was-validated'}}">
      <Label @value={{t "type"}} as |id|>
        <Input::Select
          @list={{this.types}}
          @value={{this.type}}
          @onChange={{this.typeChanged}}
          class="form-control select-type {{if this.hasNoType 'is-invalid'}}"
          id={{id}}
          required
        />

        {{#if this.hasNoType}}
          <div class="invalid-feedback alert-no-type">
            {{t "question-message.no-type"}}
          </div>
        {{/if}}
      </Label>
    </div>
  {{/unless}}

  {{#if this.hasOptions}}
    <Label @value={{t "options"}} as |id|>
      <Input @value={{this.options}} id={{id}} class="form-control text-options" />
    </Label>
  {{/if}}

  {{#if this.hasGeoJson}}
    <Input::GeoJsonSources @value={{this.options}} @onChange={{this.changeOptions}}/>
  {{/if}}

  {{#if this.hasIcons}}
    <Input::Icons::Order @value={{this.selectedIcons}} @onChange={{this.changeIcons}} class="mb-3" {{did-insert this.setupIcons}}/>

    <h5>{{t "Add more icons:"}}</h5>
    <Input::IconsSelector @iconSets={{@iconSets}} @value={{this.selectedIcons}} @onChange={{this.changeIcons}} />
  {{/if}}

  {{#if (eq this.type "decimal")}}
    <Label @value={{t "measurement"}} as |id|>
      <Input::Select
          @list={{this.measurements}}
          @value={{this.measurement}}
          @onChange={{this.measurementChanged}}
          class="form-control select-measurement"
          id={{id}}
          required
        />
    </Label>
  {{/if}}

  <div class="form-check form-switch mb-4">
    <Label @value={{t "is required"}} as |id|>
      <Input class="form-check-input chk-is-required" id={{id}} @checked={{this.isRequired}} @type="checkbox" />
    </Label>
  </div>
</div>